tree();
//所属分类下拉
$('.inps').focus(function() {
	$('.xlAdd').css('display', 'block')
})
$('.xl').click(function() {
	if($('.xlAdd').css('display') == 'block') {
		$('.xlAdd').css('display', 'none')
	} else {
		$('.xlAdd').css('display', 'block')
	}
})
// $('.addTree').mouseleave(function() {
// 	$(this).css('display', 'none')
// })
$('.Cleans').click(function() {
	$(".inps").val('');
	$("#PID").val('');
	$("#Dpment").val('');
	$(".Cleans").hide();
})

function tree() {
	$.get(
		huayi.config.callcenter_url + "Dictionary/GetZTreeListNew", {
			token: $.cookie("token"),
			pid: 38
		},
		function(result) {
			result = $.parseJSON(result);
			$.fn.zTree.init(
				$("#addTreeDemo"),
				setting1,
				result.data
			); //实例化树形图
		}
	);
}
var setting1 = {
	data: {
		key: {
			name: "text"
		},
		simpleData: {
			enable: true,
			idKey: "id",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick,
	},
};

function zTreeOnClick(event, treeId, treeNode) {
	console.log(treeNode.children)
	if(!treeNode.children) {
		$(".inps").val(treeNode.text);
		$("#PID").val(treeNode.id);
		$("#Dpment").val(treeNode.id);
		$(".Cleans").show();
    	$(".addTree").css('display', 'none')
	}else{
		layer.msg("请选择最后一级");
	}
}

function Close() {
	$(".lyxz").removeClass("cx");
	if($("audio").length > 0) {
		$("audio")[0].pause();
	}
}